# $EPIC: ischanvoice,v 1.5 2002/02/12 01:04:05 brian Exp $
Synopsis:
   $ischanvoice(<nick> <channel>)

Technical:
   This function searches the client's channel cache for the user <nick>
   on the channel <channel> for the current server refnum, and returns their
   current channel voiced status.
   
Returns:
   1   User has voice (is +v)
   0   User does not have voice (is not +v)
  -1   Client does not know (may or may not be +v)

Note:
   Voiced information is given by the server in the names reply that is sent
   on join and also in the who reply that epic asks for.  Unfortunately, most
   servers will not divulge the voiced status of a user if they are also
   a channel operator (+o).  Consequently, unless you are physically present 
   when a +v or -v mode change occurs, there is no way for epic to know whether
   or not a channel operator is voiced or not.  Therefore, the client will
   return the "I don't know" value (-1) if you ask it for the voiced status 
   of anyone who was a channel operator when you joined the channel.

See Also:
   ischanop(6); ishalfop(6)

